api_include_dirs    = $(SOURCE_DIR)/include/cparser/*/
api_include_headers = $(addsuffix *.h,$(api_include_dirs))
api_sort_headers    = $(sort $(wildcard $(api_include_headers)))
API_HEADERS         = $(api_sort_headers)

internal_dirs       = $(SOURCE_DIR)/src/internal/
internal_files      = $(addsuffix *.h,$(internal_dirs))
internal_sort_files = $(sort $(wildcard $(internal_files)))
INTERNAL_HEADERS    = $(subst $(SOURCE_DIR)/src/,src/,$(internal_sort_files))

ALL_HEADERS         = $(API_HEADERS) $(INTERNAL_HEADERS)
